%function that have the differential equations system for the evaporator

function dTdt = odeevaporator2(x,t)

%x(1) = T_vo
%x(2) = T_pw
%x(3) = T_wall

global Qext Qleak m_vo cp_v R_pwvo R_vowall m_pw cp_pw mdot R_wallpw Rpw2 m_wall cp_wall T_cc Tsat hLV T1

dTdt = zeros(3,1);

dTdt(1) = (1/((m_vo*cp_v)))*(-(x(1)-x(2))/R_pwvo-(x(1)-x(3))/R_vowall-mdot*cp_v*(x(1)-Tsat));

dTdt(2) = (1/((m_pw)*cp_pw))*(-(x(2)-x(1))/R_pwvo-(x(2)-x(3))/R_wallpw+(T1-x(2))/Rpw2-Qleak-mdot*hLV);

dTdt(3) = (1/(m_wall*cp_wall))*(-(x(3)-x(1))/R_vowall-(x(3)-x(2))/R_wallpw+Qext);